<?
 require_once($_path["include"]."module.php");

 class pureftpd_users extends Module
 {
  function init(&$data)
  {
   global $_path;

   parent::init($data);

   $this->data->title=$this->data->l->t("Pure FTPD Users");

   $this->data->addField("nr", "nr", "sql;form", "identifier;hidden");

   $this->data->addField("name", "title", "all", "title", 3, 15, false, "Username");
   $this->data->addField("password", "md5", "sql;form", "password", 3, 32, false, "Password");

   $this->data->addField("gid", "nr", "all", "reload", 1, false, 0, "Group");
   $this->data->addReference("gid", "pureftpd_groups", "nr", "*:1");

   $this->data->addField("home", "text", "all", "", 0, 255, false, "Home directory");

   $this->data->addField("ULBandwidth", "nr", "all", "", 0, false, 0, "Upload bandwidth", "KB/s");
   $this->data->addField("DLBandwidth", "nr", "all", "", 0, false, 0, "Download bandwidth", "KB/s");

   $this->data->addField("ULRatio", "nr", "all", "", 0, false, 0, "Upload ratio");
   $this->data->addField("DLRatio", "nr", "all", "", 0, false, 0, "Download ratio");

   $this->data->addUnique("name", "name");

   $this->data->group("Settings", "home", "ULBandwidth", "DLBandwidth", "ULRatio", "DLRatio");
   $this->data->sortOrder("name");
  }

  function postInit(){return $this->customizeFields("init");}

  function customizeFields($alternativeAction)
  {
   if(($gid=$this->data->getValue("gid"))&&($this->data->action=="add"||$this->data->action=="edit"))
   {
    $d=new Data("pureftpd_groups", "view", "item");
    $d->setValue("nr", $gid);

    if($d->get())
    {
     $d->next();

     $fields=Array("home", "ULBandwidth", "DLBandwidth", "ULRatio", "DLRatio");

     foreach($fields as $field)
      $this->data->setValue($field, $d->v[$field]);
    }
   }

   return true;
  }
 }
?>
